<?xml version="1.0" encoding="utf-8"?>

<File Version="1.0">

	<ExtensionPoint ID="CascadeStyleSheet" Enable="1">
		<Plugin ID="LEDSimulatorUI" Bundle="CSS.dll" Enable="1">
			<ExtraConfig>
				<Item Name="Default" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="#808080"/>
				<Item Name="PushButton" Width="75" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_CENTER | BS_VCENTER | BS_PUSHBUTTON" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor=""/>
				<Item Name="IconButton" Width="75" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_CENTER | BS_VCENTER | BS_PUSHBUTTON" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor=""/>
				<Item Name="ToggleButton" Width="75" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_CENTER | BS_VCENTER | BS_AUTOCHECKBOX | BS_PUSHLIKE" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor=""/>
				<Item Name="GroupBox" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | BS_GROUPBOX" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor=""/>
				<Item Name="CheckBox" Width="59" Height="16" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_AUTOCHECKBOX" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor=""/>
				<Item Name="RadioButton" Width="57" Height="16" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_AUTORADIOBUTTON" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor=""/>
				<Item Name="TextEdit" Width="60" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | ES_LEFT | ES_AUTOHSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor=""/>
				<Item Name="NumberEdit" Width="60" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | ES_LEFT | ES_AUTOHSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor=""/>
				<Item Name="ComboBox" Width="72" Height="21" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_BORDER | CBS_DROPDOWNLIST" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor=""/>
				<Item Name="ListBox" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_VSCROLL | LBS_NOTIFY | LBS_NOINTEGRALHEIGHT" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor=""/>
				<Item Name="Label" Width="29" Height="13" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor=""/>
				<Item Name="Line" Width="100" Height="1" Style="WS_CHILD | WS_VISIBLE | SS_GRAYRECT" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor=""/>
				<Item Name="ScrollBar" Width="60" Height="18" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | SBS_HORZ" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor=""/>
				<Item Name="SliderCtrl" Width="150" Height="24" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | TBS_HORZ | TBS_BOTH | TBS_NOTICKS" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor=""/>
				<Item Name="ProgressBar" Width="120" Height="23" Style="WS_CHILD | WS_VISIBLE" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor=""/>
				<Item Name="TabCtrl" Width="75" Height="49" Style="WS_CHILD | WS_VISIBLE" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor=""/>
				<Item Name="IPAddressCtrl" Width="150" Height="24" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor=""/>
				<Item Name="MessageCtrl" Width="75" Height="49" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_VSCROLL | WS_HSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor=""/>
				<Item Name="LinkCtrl" Width="29" Height="13" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor=""/>
				<Item Name="MaskEdit" Width="60" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | ES_LEFT | ES_AUTOHSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor=""/>
				<Item Name="ImageBox" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor=""/>
				<Item Name="ImageList" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor=""/>
				<Item Name="ColorPicker" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_PUSHBUTTON" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor=""/>
				<Item Name="ColorPalette" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_PUSHBUTTON" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor=""/>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="CWTWindowPrototype" Enable="1">
		<Plugin ID="LEDSimulatorUI" Bundle="CWT.dll" Enable="1">
			<Collaboration ExtensionPointID="CascadeStyleSheet" PluginID="LEDSimulatorUI"/>
			<Collaboration ExtensionPointID="CWTEventListener" PluginID="LEDSimulatorUI"/>
			<ExtraConfig>
				<RowLayout MarginT="10" MarginB="10" MarginL="10" MarginR="10" RowHeight="e" RowSpace="10">
					<VirtualBox>
						<ColumnLayout ColWidth="e" ColSpace="10">
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_0_0"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_0_1"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_0_2"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_0_3"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_0_4"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_0_5"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_0_6"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_0_7"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_0_8"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_0_9"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_0_10"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_0_11"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_0_12"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_0_13"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_0_14"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_0_15"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_0_16"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_0_17"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_0_18"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_0_19"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_0_20"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_0_21"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_0_22"/>
						</ColumnLayout>
					</VirtualBox>
					<VirtualBox>
						<ColumnLayout ColWidth="e" ColSpace="10">
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_1_0"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_1_1"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_1_2"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_1_3"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_1_4"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_1_5"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_1_6"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_1_7"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_1_8"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_1_9"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_1_10"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_1_11"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_1_12"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_1_13"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_1_14"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_1_15"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_1_16"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_1_17"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_1_18"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_1_19"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_1_20"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_1_21"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_1_22"/>
						</ColumnLayout>
					</VirtualBox>
					<VirtualBox>
						<ColumnLayout ColWidth="e" ColSpace="10">
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_2_0"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_2_1"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_2_2"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_2_3"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_2_4"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_2_5"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_2_6"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_2_7"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_2_8"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_2_9"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_2_10"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_2_11"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_2_12"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_2_13"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_2_14"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_2_15"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_2_16"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_2_17"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_2_18"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_2_19"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_2_20"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_2_21"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_2_22"/>
						</ColumnLayout>
					</VirtualBox>
					<VirtualBox>
						<ColumnLayout ColWidth="e" ColSpace="10">
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_3_0"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_3_1"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_3_2"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_3_3"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_3_4"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_3_5"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_3_6"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_3_7"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_3_8"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_3_9"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_3_10"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_3_11"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_3_12"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_3_13"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_3_14"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_3_15"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_3_16"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_3_17"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_3_18"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_3_19"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_3_20"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_3_21"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_3_22"/>
						</ColumnLayout>
					</VirtualBox>
					<VirtualBox>
						<ColumnLayout ColWidth="e" ColSpace="10">
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_4_0"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_4_1"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_4_2"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_4_3"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_4_4"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_4_5"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_4_6"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_4_7"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_4_8"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_4_9"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_4_10"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_4_11"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_4_12"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_4_13"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_4_14"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_4_15"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_4_16"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_4_17"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_4_18"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_4_19"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_4_20"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_4_21"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_4_22"/>
						</ColumnLayout>
					</VirtualBox>
					<VirtualBox>
						<ColumnLayout ColWidth="e" ColSpace="10">
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_5_0"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_5_1"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_5_2"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_5_3"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_5_4"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_5_5"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_5_6"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_5_7"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_5_8"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_5_9"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_5_10"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_5_11"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_5_12"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_5_13"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_5_14"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_5_15"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_5_16"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_5_17"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_5_18"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_5_19"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_5_20"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_5_21"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_5_22"/>
						</ColumnLayout>
					</VirtualBox>
					<VirtualBox>
						<ColumnLayout ColWidth="e" ColSpace="10">
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_6_0"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_6_1"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_6_2"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_6_3"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_6_4"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_6_5"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_6_6"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_6_7"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_6_8"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_6_9"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_6_10"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_6_11"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_6_12"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_6_13"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_6_14"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_6_15"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_6_16"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_6_17"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_6_18"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_6_19"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_6_20"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_6_21"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_6_22"/>
						</ColumnLayout>
					</VirtualBox>
					<VirtualBox>
						<ColumnLayout ColWidth="e" ColSpace="10">
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_7_0"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_7_1"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_7_2"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_7_3"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_7_4"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_7_5"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_7_6"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_7_7"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_7_8"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_7_9"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_7_10"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_7_11"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_7_12"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_7_13"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_7_14"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_7_15"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_7_16"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_7_17"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_7_18"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_7_19"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_7_20"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_7_21"/>
							<Label Visible="1" Height="40" BGColor="#000000" ID="ID_KEY_7_22"/>
						</ColumnLayout>
					</VirtualBox>
					<VirtualBox>
						<RowLayout RowFillH="1">
							<VirtualBox Height="5"/>
							<Line/>
							<VirtualBox Height="10"/>
							<VirtualBox Height="r">
								<ColumnLayout ColAlignV="c" ColSpace="10">
									<PushButton Text="Export" ID="ID_LightEffect_Export"/>
									<VirtualBox Width="remain">
										<ColumnLayout ColAlignV="c" ColAlignH="r" ColSpace="5">
											<Label FGColor="#FFFFFF" Text="Light Effect:"/>
											<ComboBox Width="150" ID="ID_LightEffect_Mode"/>
											<VirtualBox Width="5"/>
											<Label FGColor="#FFFFFF" Text="Brightness:"/>
											<ComboBox ID="ID_LightEffect_Brightness"/>
											<VirtualBox Width="5"/>
											<Label FGColor="#FFFFFF" Text="Speed:"/>
											<ComboBox ID="ID_LightEffect_Speed"/>
											<VirtualBox Width="5"/>
											<Label FGColor="#FFFFFF" Text="Color 1:"/>
											<Label BGColor="#00FF00" ID="ID_LightEffect_Color_1"/>
											<VirtualBox Width="5"/>
											<Label FGColor="#FFFFFF" Text="Color 2:"/>
											<Label BGColor="#0000FF" ID="ID_LightEffect_Color_2"/>
											<VirtualBox Width="5"/>
											<CheckBox FGColor="#FFFFFF" Text="Random Color" ID="ID_LightEffect_Color_Random"/>
											<VirtualBox Width="5"/>
											<PushButton Text="Play" ID="ID_LightEffect_Play"/>
											<PushButton Text="Pause" ID="ID_LightEffect_Pause"/>
											<PushButton Text="Stop" ID="ID_LightEffect_Stop"/>
										</ColumnLayout>
									</VirtualBox>
								</ColumnLayout>
							</VirtualBox>
						</RowLayout>
					</VirtualBox>
				</RowLayout>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="CWTEventListener" Enable="1">
		<Plugin ID="LEDSimulatorUI" Bundle="LEDSimulatorMain.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbXLSReader" PluginID="LEDSimulator"/>
			<Collaboration ExtensionPointID="I_PbLEDSimulatorParameter" PluginID="LEDSimulator"/>
			<Collaboration ExtensionPointID="I_PbLEDSimulatorDelegation" PluginID="LEDSimulator"/>
			<ExtraConfig>
				<!--EffectFile>Effect.xlsx</EffectFile>
				<EffectFile>Rainbow.xlsx</EffectFile>
				<ExportFile>Effect.db</ExportFile-->

				<!--EffectFile>Breath.xlsx</EffectFile>
				<EffectFile>Reaction.xlsx</EffectFile>
				<EffectFile>Spectrum.xlsx</EffectFile>
				<EffectFile>Static.xlsx</EffectFile>
				<EffectFile>Wave.xlsx</EffectFile>
				<EffectFile>Explosion.xlsx</EffectFile>
				<EffectFile>HeartBeating.xlsx</EffectFile>
				<ExportFile>Effect.db</ExportFile-->

				<!--EffectDBFile>Effect.db</EffectDBFile>
				<EffectDBFile>Rainbow.db</EffectDBFile>
				<ExportFile>Effect.db</ExportFile-->

				<!--EffectDBFile>Breath.db</EffectDBFile>
				<EffectDBFile>Reaction.db</EffectDBFile>
				<EffectDBFile>Spectrum.db</EffectDBFile>
				<EffectDBFile>Static.db</EffectDBFile>
				<EffectDBFile>Wave.db</EffectDBFile>
				<EffectDBFile>Explosion.db</EffectDBFile>
				<EffectDBFile>HeartBeating.db</EffectDBFile>
				<ExportFile>LightingEffect.db</ExportFile-->

				<!--EffectFile>Effect.xlsx</EffectFile-->
				<EffectDBFile>Effect.db</EffectDBFile>
				<ExportFile>Effect.db</ExportFile>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbDialogInvoker" Enable="1">
		<Plugin ID="LEDSimulatorUI" Bundle="DialogInvoker.dll" Enable="1">
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="LEDSimulatorUI"/>
			<Collaboration ExtensionPointID="I_PbDialogInvokerExt" PluginID="LEDSimulatorUI"/>
			<ExtraConfig>
				<Title>Sonix Gaming Keyboard LED Simulator</Title>
				<Size Width="1200" Height="480" Resize="0" NoFrame="0"/>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbDialogInvokerExt" Enable="1">
		<Plugin ID="LEDSimulatorUI" Bundle="LEDSimulatorMain.dll" Enable="1">
			<Collaboration ExtensionPointID="CWTEventListener" PluginID="LEDSimulatorUI"/>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbLEDSimulatorParameter" Enable="1">
		<Plugin ID="LEDSimulator" Bundle="LEDSimulatorMain.dll" Enable="1"/>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbLEDSimulatorDelegation" Enable="1">
		<Plugin ID="LEDSimulator" Bundle="LEDSimulatorMain.dll" Enable="1"/>
	</ExtensionPoint>

</File>